# Trojan - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# Trojan

### Structure

    {
      "type": "trojan",
      "tag": "trojan-out",

      "server": "127.0.0.1",
      "server_port": 1080,
      "password": "8JCsPssfgS8tiRwiMlhARg==",
      "network": "tcp",
      "tls": {},
      "multiplex": {},
      "transport": {},

      ... // Dial Fields
    }

### Fields

#### server

Required

The server address.

#### server_port

Required

The server port.

#### password

Required

The Trojan password.

#### network

Enabled network

One of `tcp` `udp`.

Both is enabled by default.

#### tls

TLS configuration, see TLS.

#### multiplex

See Multiplex for details.

#### transport

V2Ray Transport configuration, see V2Ray Transport.

### Dial Fields

See Dial Fields for details.